org.apache.hc.core5.http2.protocol

## Class H2RequestConnControl

- java.lang.Object
- - org.apache.hc.core5.http.protocol.RequestConnControl
  - - org.apache.hc.core5.http2.protocol.H2RequestConnControl

- All Implemented Interfaces:
    HttpRequestInterceptor

      @Contract(threading=IMMUTABLE)
      public class H2RequestConnControl
      extends RequestConnControl

  HTTP/2 compatible extension of `RequestConnControl`.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `H2RequestConnControl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(HttpRequest request, EntityDetails entity, HttpContext context)` Processes a request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### H2RequestConnControl

          public H2RequestConnControl()

  - ### Method Detail

    - #### process

          public void process(HttpRequest request,
                              EntityDetails entity,
                              HttpContext context)
                       throws HttpException,
                              IOException

      Description copied from interface: `HttpRequestInterceptor`
      Processes a request. On the client side, this step is performed before the request is sent to the server. On the server side, this step is performed on incoming messages before the message body is evaluated.
      Specified by:
        `process` in interface `HttpRequestInterceptor`
      Overrides:
        `process` in class `RequestConnControl`
      Parameters:
        `request` - the request to process
        `entity` - the request entity details or `null` if not available
        `context` - the context for the request
      Throws:
        `HttpException` - in case of an HTTP protocol violation
        `IOException` - in case of an I/O error

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.